Index: buildrom-devel/Config.in
===================================================================
--- buildrom-devel/Config.in	(revision 73)
+++ buildrom-devel/Config.in	(working copy)
@@ -13,6 +13,18 @@
 	  See the entire build output on stdout. Otherwise, it will
 	  be saved off in a series of logs
 
+config MAKE_JOBS
+	string "Send this option to make to parallelize builds"
+	default "-j1"
+	help
+	  This can speed the build if you have more than one core that you
+	  would like to allow make to use.  If you have a single processor, use
+	  the default (-j1) otherwise, try processors+1 (-j5 for 4 processors).
+
+	  This option currently only speeds up the kernel and uClibc builds.
+	  It was tried for: linuxbios (not passed through to fallback,etc.)
+	                    busybox (causes errors)
+
 config ADVANCED
 	bool "Enable advanced operations"
 	default n
Index: buildrom-devel/packages/kernel/kernel.inc
===================================================================
--- buildrom-devel/packages/kernel/kernel.inc	(revision 73)
+++ buildrom-devel/packages/kernel/kernel.inc	(working copy)
@@ -52,7 +52,7 @@
 
 $(KERNEL_BZIMAGE): $(KERNEL_SRC_DIR)/.config
 	@ echo "Building kernel..."
-	@ $(MAKE) -C $(KERNEL_SRC_DIR) ARCH=$(KERNEL_BUILD_ARCH) \
+	@ $(MAKE) $(CONFIG_MAKE_JOBS) -C $(KERNEL_SRC_DIR) ARCH=$(KERNEL_BUILD_ARCH) \
 	KERNEL_CC="$(CC)" KERNEL_LD="$(LD)" > $(KERNEL_BUILD_LOG) 2>&1
 
 $(OUTPUT_DIR)/bzImage: $(KERNEL_BZIMAGE)
Index: buildrom-devel/packages/uclibc/uclibc.mk
===================================================================
--- buildrom-devel/packages/uclibc/uclibc.mk	(revision 73)
+++ buildrom-devel/packages/uclibc/uclibc.mk	(working copy)
@@ -39,7 +39,7 @@
 $(UCLIBC_SRC_DIR)/lib/libc.a: $(UCLIBC_SRC_DIR)/.config
 	@ echo "Building uclibc..." 
 	@ ( unset CFLAGS; unset LDFLAGS; \
-	$(MAKE) -C $(UCLIBC_SRC_DIR) TARGET_ARCH="$(UCLIBC_ARCH)" \
+	$(MAKE) $(CONFIG_MAKE_JOBS) -C $(UCLIBC_SRC_DIR) TARGET_ARCH="$(UCLIBC_ARCH)" \
 	CC="$(CC) $(CROSS_CFLAGS)" LD="$(LD) $(CROSS_LDFLAGS)" \
 	HOSTCC="$(HOST_CC)" KERNEL_SOURCE="$(KERNEL_SRC_DIR)" \
 	RUNTIME_PREFIX="/" \
